{% load static %}

<div class="cv cv-raw">
    <div class="cv-title">Recherche CDI</div>
    <div class="cv-sector identity">
        <div class="profile-image">
            <img src="{% static "images/person/julien-lauret.png" %}" alt="" />
        </div>
        <div class="fullname">
            <span class="firstname">{{ identity.firstname | capfirst }}</span> <span class="lastname">{{ identity.lastname | upper }}</span>
        </div>
        <div class="professional-title">{{ title | capfirst }}</div>
    </div>

    <div class="cv-sector personal-informations">
        <div class="sector-title">Mes Information</div>
        <div class="birthdate">{{ identity.birthdate | date:"d-M-Y" }}</div>
        <div class="cv-sector address">
            <span class="address-1">{{ address.address_1 }}</span>, 
            <span class="address-2">{{ address.address_2 }}</span> - 
            <span class="postal-code">{{ address.postal_code }}</span> 
            <span class="city">{{ address.city | capfirst }}</span>, 
            <span class="country">{{ address.country | upper }}</span>
        </div>

        <div class="cv-sector contact">
            <div class="sector-title">Contact</div>
            <div class="phone">{{ contact.phone }}</div>
            <div class="email">{{ contact.email | lower }}</div>
        </div>

        <div class="cv-sector hobbies">
            <div class="sector-title">Hobbies</div>
            <ul>
                {% for hobby in others.hobbies %}
                    <li class="techno">{{ hobby }}</li>
                {% endfor %}
            </ul>
        </div>
    </div>

    <div class="cv-sector skills">
        <div class="sector-title">Compétences</div>
        <ul>
            {% for skill in skills.techno %}
                <li class="techno">
                    {% if skill.icon %}<span class="icon-techno">{{ skill.icon }}</span> {% endif%}{{ skill.name }}: <span class="lvl-bar" style="width:{{ skill.mastery }}">{{ skill.mastery }}</span>
                </li>
            {% endfor %}
        </ul>
    </div>

    <div class="cv-sector languages">
        <div class="sector-title">Langues</div>
        <ul>
            {% for lang in skills.languages %}
                <li class="language">
                    <span class="icon-lang keep-name">{{ lang.name }}</span>: <span class="lang-icon">{{ lang.level }}</span>
                </li>
            {% endfor %}
        </ul>
    </div>

    <div class="cv-sector studies">
        <div class="sector-title">Formation & études</div>
        {% for formation in formations %}
            <div class="formation">
                <div class="dates">{{ formation.dates.start | date:"m-Y" }} - {% if formation.dates.end %}{{ formation.dates.end | date:"m-Y" }} {% else %}actuel{% endif %}</div>
                <div class="school">{{ formation.school }}</div>
                <div class="licence">{{ formation.licence }}</div>
            </div>
        {% endfor %}
    </div>

    <div class="cv-sector professional-xp">
        <div class="sector-title">Expériences professionnelles</div>
        {% for exp in professional_xp %}
            <div class="experience">
                <div class="dates">{{ exp.dates.start | date:"m-Y" }} - {% if exp.dates.end %}{{ exp.dates.end | date:"m-Y" }} {% else %}actuel{% endif %}</div>
                <div class="company">{{ exp.type }} - {{ exp.company }}, {{ exp.city }} ({{ exp.postal_code }})</div>
                <div class="tasks">
                    Tâches:
                    <ul>
                        {% for task in exp.tasks %}
                            <li class="task">{{ task }}</li>
                        {% endfor %}
                    </ul>
                </div>
            <div>
        {% endfor %}
        
        <div class="sector-title">Associations</div>
        {% for exp in others.patronage %}
            <div class="experience">
                <div class="dates">{{ exp.dates.start | date:"m-Y" }} - {% if exp.dates.end %}{{ exp.dates.end | date:"m-Y" }} {% else %}actuel{% endif %}</div>
                <div class="company"><a href="{{ exp.url }}">{{ exp.name }}</a></div>
                <div class="tasks">
                    Tâches:
                    <ul> 
                        {% for task in exp.tasks %}
                            <li class="task">{{ task }}</li>
                        {% endfor %}
                    </ul>
                </div>
                <div class="referants">
                    Référants:
                    <ul>
                        {% for ref in exp.referants %}
                            <li>{{ ref.name }} ({{ ref.contact }})</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        {% endfor %}
    </div>


    <div class="cv-sector other-informations">
        <div class="sector-title">Autre informations</div>
    </div>
</div>